Subject: 23.1.50; C-mouse-1 undefined?

From: Clathrate Boink <[email-masked]>
Date: Tue, 5 Jan 2010 14:45:04 +0200

With further investigation I think I may have found the problem.
Emacs lisp ints are only 30 bits wide.  Timestamps come in from
XButtonEvent and make_lispy_event calls make_lispy_position, which
uses make_number to stash away the event timestamp.  Unfortunately
this will truncate the top two bits of the timestamp.  This is
subsequently passed to gtk_menu_popup via
xmenu_show/create_and_show_popup_menu.  It ends up going to XGrab<xxx>
which appears to be failing when given such a truncated timestamp.

As for what to do about it, I'm a bit stuck...

Clathrate